import { ITraining } from "./src/training/types";

const data: { trainings: ITraining[]; polls: any } = {
  trainings: [
    {
      id: "training0",
      title: "Circuit",
      type: {
        id: "type0",
        name: "HIIT",
        description: "High intensity interval training.",
      },
      createdAt: "2020-04-14T21:13:43.284Z",
      trainingDate: "2020-04-15T09:45:00.000Z",
      location: "At home",
      registrations: [],
      attendance: 0,
      ratings: [],
      published: true,
      blocks: [
        {
          id: "block0",
          sequence: 0,
          title: "Roxanne",
          repetitions: 1,
          rest: 45,
          video: "/media/roxanne.mp4",
          format: {
            id: "format0",
            name: "Sequence",
            description: "Sequence of exercises",
          },
          blocks: [
            {
              id: "block3",
              video: "/media/roxanne.mp4",
              duration: 185,
              exercises: [
                {
                  id: "exercise1",
                  name: "Squat",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
                {
                  id: "exercise1",
                  name: "Burpee",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
          ],
        },
        {
          id: "block1",
          sequence: 0,
          title: "Tabata",
          repetitions: 2,
          rest: 60,
          video: "/media/tabata.mp4",
          format: {
            id: "format0",
            name: "Sequence",
            description: "Sequence of exercises",
          },
          blocks: [
            {
              id: "block4",
              duration: 10,
              exercises: [
                {
                  id: "exercise1",
                  name: "Prepare",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              rest: 10,
              exercises: [
                {
                  id: "exercise1",
                  name: "Power lunge",
                  repetitions: 4,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
                {
                  id: "exercise2",
                  name: "Squat jump",
                  repetitions: 2,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              rest: 10,
              exercises: [
                {
                  id: "exercise1",
                  name: "Plyo pushup",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              rest: 10,
              exercises: [
                {
                  id: "exercise1",
                  name: "Ice skater",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              rest: 10,
              exercises: [
                {
                  id: "exercise1",
                  name: "Kick up",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              rest: 10,
              exercises: [
                {
                  id: "exercise1",
                  name: "Lateral jump squat",
                  repetitions: 2,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
                {
                  id: "exercise1",
                  name: "Tuck jump burpee",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              rest: 10,
              exercises: [
                {
                  id: "exercise1",
                  name: "Side plank with leg lift and kick forward",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              rest: 10,
              exercises: [
                {
                  id: "exercise1",
                  name: "X-Man",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 20,
              rest: 10,
              exercises: [
                {
                  id: "exercise1",
                  name: "Cross V-up",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
          ],
        },
        {
          id: "block0",
          sequence: 0,
          title: "Circuit",
          repetitions: 2,
          rest: 60,
          format: {
            id: "format0",
            name: "Sequence",
            description: "Sequence of exercises",
          },
          blocks: [
            {
              id: "block2",
              duration: 45,
              rest: 15,
              video: "/media/circuit-1.mp4",
              exercises: [
                {
                  id: "exercise0",
                  name: "Narrow pushup",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: [],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Jog on the spot",
                  },
                },
                {
                  id: "exercise0",
                  name: "Wide pushup",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: [],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Jog on the spot",
                  },
                },
              ],
            },
            {
              id: "block3",
              duration: 45,
              rest: 15,
              video: "/media/circuit-2.mp4",
              exercises: [
                {
                  id: "exercise1",
                  name: "Mountain climber",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 45,
              rest: 15,
              video: "/media/circuit-3.mp4",
              exercises: [
                {
                  id: "exercise1",
                  name: "Superman combo",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 45,
              rest: 15,
              video: "/media/circuit-4.mp4",
              exercises: [
                {
                  id: "exercise1",
                  name: "Run & punch",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 45,
              rest: 15,
              video: "/media/circuit-5.mp4",
              exercises: [
                {
                  id: "exercise1",
                  name: "Shoulder fly",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
            {
              id: "block4",
              duration: 45,
              rest: 15,
              video: "/media/circuit-6.mp4",
              exercises: [
                {
                  id: "exercise1",
                  name: "Fast knees",
                  repetitions: 8,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
                {
                  id: "exercise1",
                  name: "High knees",
                  repetitions: 4,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
          ],
        },
        {
          id: "block0",
          sequence: 0,
          title: "Rep challenge",
          description: "Finish 6 repetitions and earn a break.",
          repetitions: 4,
          format: {
            id: "format0",
            name: "Rep challenge",
            description: "Finish 6 repetitions and earn a break.",
          },
          blocks: [
            {
              id: "block2",
              description: "Finish 6 repetitions and earn a break.",
              duration: 30,
              video: "/media/challenge.mp4",
              exercises: [
                {
                  id: "exercise1",
                  name: "One armed burpee",
                  repetitions: 1,
                  description:
                    "Sit down backwards, hip about knee-high. Keep your knees behind the toes.",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
                {
                  id: "exercise1",
                  name: "Long jump",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
                {
                  id: "exercise1",
                  name: "Run back",
                  repetitions: 1,
                  description: "",
                  videos: [],
                  pictures: [],
                  targets: ["Thighs", "Glutes"],
                  baseExercise: {
                    id: "baseExercise1",
                    name: "Squat",
                  },
                },
              ],
            },
          ],
        },
      ],
    },
  ],
  polls: [],
};

export default data;
